﻿using System.Windows;
using Telerik.Windows.Controls;

namespace RowStyleSelector_SL
{
	public class StadiumCapacityStyle : StyleSelector
	{
		public override Style SelectStyle(object item, DependencyObject container)
		{
			if (item is Club)
			{
				Club club = item as Club;
				if (club.IsChampion)
				{
					return IsChampionStyle;
				}
				else
				{
					return NotAChampionStyle;
				}
			}
			return null;
		}

		public Style IsChampionStyle { get; set; }

		public Style NotAChampionStyle { get; set; }
	}
}